h5cc(1)

NAME
h5cc - Helper script to compile HDF5 applications.

SYNOPSIS
h5cc [OPTIONS] <compile line>

DESCRIPTION
h5cc can be used in much the same way MPIch is used to compile an HDF5 program. It takes care of specifying where the HDF5 header files and libraries are on the command line.

h5cc supercedes all other compiler scripts in that if you've used them to compile the HDF5 library, then h5cc also uses those scripts. For example, when compiling an MPIch program, you use the mpicc script. If you've built HDF5 using MPIch, then h5cc uses the MPIch program for compilation.

Some programs use HDF5 in only a few modules. It isn't necessary to use h5cc to compile those modules which don't use HDF5. In fact, since h5cc is only a convenience script, you are still able to compile HDF5 modules in the normal way. In that case, you will have to specify the HDF5 libraries and include paths yourself.

An example of how to use h5cc to compile the program hdf_prog, which consists of modules prog1.c and prog2.c and uses the HDF5 shared library, would be as follows:
    # h5cc -c prog1.c # h5cc -c prog2.c # h5cc -shlib -o hdf_prog prog1.o prog2.o

OPTIONS

-help
    Prints a help message.

-echo
    Show all the shell commands executed.

-prefix=DIR
    Use the directory DIR to find the HDF5 lib/ and include/ subdirectories. Default: prefix specified when configuring HDF5.

-show
    Show the commands without executing them.

-shlib
    Compile using shared HDF5 libraries.

-noshlib
    Compile using static HDF5 libraries [default].

<compile line>
    The normal compile line options for your compiler. h5cc uses the same compiler you used to compile HDF5. Check your compiler's manual for more information on which options are needed.

ENVIRONMENT

HDF5_CC
    Use a different C compiler.

HDF5_CLINKER
    Use a different linker.

HDF5_USE_SHLIB=[yes|no]
    Use shared version of the HDF5 library [default: no].

SEE ALSO
h5fc(1), h5c++(1)